%define	name	clisp
%define	version	2.41a
%define	release	%mkrel 1

Summary:	Common Lisp (ANSI CL) implementation
Name:		clisp
Version:	%{version}
Release:	%{release}
License:	GPL
Epoch:		1
Group:		Development/Other
Source0:	ftp://ftp.gnu.org/pub/gnu/clisp/latest/%{name}-%{version}.tar.bz2
Patch0:		clisp-2.41-postgresql.patch
URL:		http://clisp.cons.org/
Provides:	ansi-cl
BuildRequires:	readline-devel gettext pcre-devel postgresql-devel libsigsegv-devel
BuildRequires:	db4-devel zlib-devel libice-devel libsm-devel libx11-devel libxaw-devel
BuildRequires:  libxext-devel libxft-devel libxmu-devel libxrender-devel libxt-devel
BuildRequires:	imake termcap-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Common Lisp is a high-level, all-purpose programming language.

CLISP is a Common Lisp implementation by Bruno Haible of Karlsruhe
University and Michael Stoll of Munich University, both in Germany.

It mostly supports Common Lisp as described in the ANSI CL standard.
It runs on microcomputers (DOS, OS/2, Windows NT, Windows 95, Amiga
500-4000, Acorn RISC PC) as well as on Unix workstations (Linux,
SVR4, Sun4, DEC Alpha OSF, HP-UX, NeXTstep, SGI, AIX, Sun3 and others) 
and needs only 2 MB of RAM.

It is free software and may be distributed under the terms of GNU GPL,
while it is possible to distribute commercial applications compiled
with CLISP.

The user interface comes in German, English, French and Spanish.
CLISP includes an interpreter, a compiler, a large subset of CLOS,
a foreign language interface and a socket interface.

An X11 interface is available through CLX and Garnet.

%package	devel
Summary:	Development files for CLISP
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}

%description	devel
Files necessary for linking CLISP.

%prep
%setup -q -n %{name}-2.41
%patch0 -p1 -b .postgresql

%build
CFLAGS="" \
./configure	--prefix=%{_prefix} \
		--libdir=%{_libdir} \
		--fsstnd=redhat \
		--with-dynamic-ffi \
		--with-module=berkeley-db \
		--with-module=clx/new-clx \
		--with-module=pcre \
		--with-module=postgresql \
		--with-module=rawsock \
		--with-module=wildcard \
		--with-module=zlib \
		--with-module=bindings/glibc \
		--with-readline \
		--build build

%check
cd build
make check

%install
rm -rf %{buildroot}
%makeinstall_std -C build docdir=%{_docdir}/clisp-%{version}
rm -f $RPM_BUILD_ROOT%{_docdir}/clisp-%{version}/doc/clisp.{dvi,1,ps}
cp -p doc/mop-spec.pdf $RPM_BUILD_ROOT%{_docdir}/clisp-%{version}/doc
%find_lang %{name}
%find_lang %{name}low
cat %{name}low.lang >> %{name}.lang

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/clisp
%{_mandir}/*/*
%{_docdir}/clisp-%{version}
%dir %{_libdir}/clisp/base
%dir %{_libdir}/clisp/full
%dir %{_libdir}/clisp
%{_libdir}/clisp/base/lispinit.mem
%{_libdir}/clisp/base/lisp.run
%{_libdir}/clisp/full/lispinit.mem
%{_libdir}/clisp/full/lisp.run
%{_libdir}/clisp/data
%{_datadir}/emacs/site-lisp/*

%files devel
%defattr(-,root,root,-)
%attr(0755,root,root) %{_libdir}/clisp/clisp-link
%{_libdir}/clisp/base/*.a
%{_libdir}/clisp/base/*.o
%{_libdir}/clisp/base/*.h
%{_libdir}/clisp/base/*.dvi
%{_libdir}/clisp/base/makevars
%{_libdir}/clisp/full/*.a
%{_libdir}/clisp/full/*.o
%{_libdir}/clisp/full/*.h
%{_libdir}/clisp/full/*.dvi
%{_libdir}/clisp/full/makevars
%{_libdir}/clisp/linkkit


%changelog
* Thu May 31 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1:2.41a-1mdv2008.0
+ Revision: 33431
- fix buildrequires
- remove icon
- 2.41a
- add url for source
- update to 2.41 (with help from Frederik Himpe)
- fix detection of postgresql headers (P0 from Frederik)
- Import clisp



* Mon Sep 18 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1:2.38-2mdv2007.0
- Rebuild

* Sat May 20 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.38-1mdk
- 2.38
- sort out some build issues with flags etc
- build with dynamic modules support
- build against libsigsegv
- lib64 fix
- fix buildrequires
- %%mkrel
- move check to new %%check stage

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 2.33.2-3mdk
- Rebuild

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.33.2-2mdk
- rebuild for new readline

* Sat Jun 05 2004 Per ?yvind Karlsen <peroyvind@linux-mandrake.com> 2.33.2-1mdk
- 2.33.2
- drop P0

* Sat Apr 17 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.33-2mdk
- fix buildrequires

* Fri Apr 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.33-1mdk
- 2.33
- clean docs
- update P0 from debian
- minor fixes
- disable parallell build

* Mon Jun 23 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 2.30-2mdk
- fix prefix etc. (from Mark Draheim <rickscafe.casablanca@gmx.net>)
- fix %%files list

* Tue Jun 17 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 2.30-1mdk
- 2.30
- cleanups
- P0 from debian, dropped alpha patch
- alot of spec file fixes

* Tue Jul 17 2001 Daouda LO <daouda@mandrakesoft.com> 2.27-1mdk
- release 2.27
  o The default extension of Lisp source files for CLISP is now ".lisp"
    instead of ".lsp". When both "foo.lisp" and "foo.lsp" exist, 
    (LOAD "foo") will load "foo.lisp".

  o Changed bytecode format. All .fas files generated by previous CLISP
     versions  are invalid and must be recompiled.
  o More Ansi CL compliances  
  o See more of the changelog: http://sourceforge.net/forum/forum.php?forum_id=72006 

- update URL.  
- new versioning scheme.
- merge ppc build.
- s|config.lsp|config.lisp| in ppc build.

* Wed Apr 25 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2000.03.06-4mdk
- Make it build on the Alpha platform.
- Quiet output when uncompressing the source because it is really too annoying
  to watch.

* Sun Nov 05 2000 David BAUDENS <baudens@mandrakesoft.com> 2000.03.06-3mdk
- Rewrite spec following Clisp Install documentation to be able to build this
  package on all archs
- Have an intelligent description

* Sun Jul 23 2000 Pixel <pixel@mandrakesoft.com> 2000.03.06-2mdk
- *much* cleanup, macorizaiton, BM

* Mon Apr  3 2000 Adam Lebsack <adam@mandrakesoft.com> 2000.03.06-1mdk
- Update to 2000.03.06

* Tue Feb 22 2000 Stefan van der Eijk <s.vandereijk@chello.nl>
- rewrote most of .spec file
- updated to 1999.07.22
